microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Frågeparametrar
api-version
string
krävs
The API version to use for this operation.
Sökvägsparametrar
name
string
krävs
The name of the resource
version
string
krävs
The specific version id of the DatasetVersion to operate on.
Svar
The request has succeeded.
Brödtext
Content-Type: application/json
blobReference
BlobReference
krävs
Blob reference details.
blobUri
string
krävs
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
krävs
ARM ID of the storage account to use.
credential
SasCredential
krävs
SAS Credential definition
sasUri
string
krävs
SAS uri
type
enum
krävs
Type of credential
SAS
Förfrågan
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json